import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)


/**
 * Makanan Ular.
 * 
 * 
 * @version 1.0
 */
public class MakananUlar  extends Actor implements BisaDimakan
{
    /**
     * Membuat makanan ular.
     * Menggabar dan memberi warna merah.
     */
    public MakananUlar() {
        GreenfootImage gambar = new GreenfootImage(20,20);
        gambar.setColor(Color.RED);
        gambar.fill();
        setImage(gambar);
    }
    
    public void act() {
        if(getOneObjectAtOffset(0,0, Ular.class) != null) {
            setLocation(Greenfoot.getRandomNumber(getWorld().getWidth()),  Greenfoot.getRandomNumber(getWorld().getWidth()));
        }
    }
    
    /**
     * Fungsi yang menunjukan bahwa makanan ini sudah dimakan.
     */
    public void dimakan() {
        
        ((DuniaUlar) getWorld()).nilai.add(1); 
        getWorld().addObject(new MakananUlar(), Greenfoot.getRandomNumber(getWorld().getWidth()),  Greenfoot.getRandomNumber(getWorld().getWidth()));
        getWorld().removeObject(this);
    }
}
