import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.io.*;
import java.net.*;
import java.util.ArrayList;


/**
 * Write a description of class ScoreList here.

 * 
 * @version 1.0
 */
public class ScoreList  extends Actor
{
    private URL scoreURL;
    private ArrayList<String> scoreKeyValue;
    
    public ScoreList() {
        scoreKeyValue = new ArrayList<String>();
        try {
            scoreURL = new URL("http://mandela.1free.ws/greenfootgame/score");
            URLConnection con = scoreURL.openConnection();
            
            BufferedReader br = new BufferedReader(new InputStreamReader(con.getInputStream()));
            
            String result = null;
            while( (result = br.readLine()) != null) {
                scoreKeyValue.add(result);
            }
            br.close();
        }catch(IOException e) {
            
        }
        
        GreenfootImage image = new GreenfootImage(300, scoreKeyValue.size()*20+10);
        //image.setColor(Color.WHITE);
        //image.fill();
        image.setColor(new Color(255, 180, 150));
        
        for(int i=0; i<scoreKeyValue.size(); i++) {
            image.drawString(scoreKeyValue.get(i), 5, 20*(i+1));
        }
        
        setImage(image);
        
    }
    
    
    
    
    
}
